#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A KDE Software for Music Education
Name:           minuet
Version: 17.12.2
Epoch:          2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz


URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  libecasound-devel

BuildRequires:  pkgconfig(Qt5Core) 
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Quick)

BuildRequires:  cmake(Qt5QuickControls2)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)


BuildRequires:  pkgconfig(drumstick-alsa)
BuildRequires:  pkgconfig(fluidsynth)

%description
A KDE Software for Music Education

%files -f %name.lang
%_kf5_bindir/%name
%_kf5_datadir/%name/
%_kf5_datadir/appdata/org.kde.minuet.appdata.xml
%_kf5_datadir/applications/org.kde.minuet.desktop
%_qt5_plugindir/minuet/minuetfluidsynthsoundcontroller.so
%_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%define minuetinterfaces_major 0
%define libminuetinterfaces %mklibname minuetinterfaces %{minuetinterfaces_major}

%package -n %libminuetinterfaces
Summary:      This lib manages sieve support
Group:        System/Libraries

%description -n %libminuetinterfaces
This lib manages sieve support.

%files -n %libminuetinterfaces
%_kf5_libdir/libminuetinterfaces.so.%{minuetinterfaces_major}*

#--------------------------------------------------------------------

%define libminuetinterfaces_devel %mklibname minuetinterfaces -d

%package -n %libminuetinterfaces_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libminuetinterfaces = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libminuetinterfaces_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libminuetinterfaces_devel
%_kf5_libdir/libminuetinterfaces.so
%_includedir/minuet/

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202361
- New version 17.12.2
- New version 17.12.1

* Fri Mar 10 2017 neoclust <neoclust> 2:16.04.3-2.mga6
+ Revision: 1091165
- Revert to version 16.04.3
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
- New version 16.12.0
- New version 16.11.90
- New version 16.08.2
- New version 16.08.1
- New version 16.08.0

* Sun Jul 10 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1041025
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1013663
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004423
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997569
- imported package minuet

